Package org.apache.commons.math3.geometry.euclidean.twod.hull

# Interface ConvexHullGenerator2D

All Superinterfaces:
  `ConvexHullGenerator<Euclidean2D,Vector2D>`

All Known Implementing Classes:
  `MonotoneChain`

public interface ConvexHullGenerator2D extends ConvexHullGenerator<Euclidean2D,Vector2D>
Interface for convex hull generators in the two-dimensional euclidean space.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`ConvexHull2D`
`generate(Collection<Vector2D> points)`
Builds the convex hull from the set of input points.

## Method Details

### generate

ConvexHull2D generate(Collection<Vector2D> points) throws NullArgumentException, ConvergenceException
Builds the convex hull from the set of input points.

Specified by:
  `generate` in interface `ConvexHullGenerator<Euclidean2D,Vector2D>`
Parameters:
  `points` - the set of input points
Returns:
  the convex hull
Throws:
  `NullArgumentException` - if the input collection is `null`
  `ConvergenceException` - if generator fails to generate a convex hull for the given set of input points